package com.benyun.core.dao;

import com.benyun.core.entity.Brand;
import com.benyun.core.entity.bo.BrandAddrTypeDistribution;
import com.benyun.core.entity.bo.BrandSearch;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BrandMapper {
    List<Brand> searchList(String text);
    Brand searchById(String brandId);
    List<Brand> searchByIndustryCodeList(String brandId, String industryCode);
    List<BrandSearch> searchSearchByMulti(String text, List<String> industryCode, Integer countUp, Integer countDown, Integer coverUp, Integer coverDown, List<String> addrCode, Integer orderBy);
    List<BrandAddrTypeDistribution> searchAddrTypeDisByMulti(List<String> addrCodes, List<String> industryCodes);
}
