package com.benyun.core.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("bl_topological_house_wd_statistics_data")
public class TopologicalHouseWdStatisticsData {

    @TableField("center_wd_id")
    private String centerWdId;

    @TableField("radius")
    private double radius;

    @TableField("house_wd_count")
    private int houseWdCount;

    @TableField("total_households")
    private int totalHouseholds;

    @TableField("total_people_count")
    private int totalPeopleCount;

    @TableField("average_rent")
    private double averageRent;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;
}
