package com.benyun.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.benyun.core.entity.WdTopological;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import javax.security.sasl.SaslServer;
import java.util.List;

@Mapper
public interface WdTopologicalDao extends BaseMapper<WdTopological> {

    public void insertList(List<WdTopological> wdTopological);

    @Select("select * from bl_wd_topological where center_wd_id = #{centerWdId}")
    public List<WdTopological> selectWdTopologicalListById(String centerWdId);
}
