package com.benyun.core.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@TableName("bl_wd_topological")
public class WdTopological {
    @TableField("center_wd_id")
    private String centerWdId;
    @TableField("center_wd_name")
    private String centerWdName;
    @TableField("radius")
    private int radius;
    @TableField("around_wd_id")
    private String aroundWdId;
    @TableField("around_wd_name")
    private String aroundWdName;
    @TableField("around_wd_type_code")
    private String aroundWdTypeCode;
    @TableField("around_type_code_by")
    private String aroundTypeCodeBy;
    @TableField("distance")
    private double distance;
    @TableField("addr_code")
    private String addrCode;
    @TableField("addr_code_info")
    private String addrCodeInfo;
    @TableField("addr_info")
    private String addrInfo;
    @TableField("lat")
    private BigDecimal lat;
    @TableField("lng")
    private BigDecimal lng;
    @TableField("geo_hash")
    private String geoHash;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;
}
